> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get list of Survey Line Strings > Operation is used to get a list of Survey Line Strings. Available from product version 2024.3. Survey Line Strings can be filtered by giving filtering parameters at HTTP querystring (see parameters). The surveyResult parameter can be used to filter survey lines by the associated survey result id. ## OpenAPI ````json GET /survey-lines/ { "info": { "contact": { "email": "keypro@keypro.fi", "name": "Keypro Oy", "url": "https://keypro.fi/" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "termsOfService": "https://www.keypro.fi/en/terms-of-service", "title": "KeyCom REST API", "version": "2.0.0" }, "tags": [ { "description": "Plan related operations.", "name": "Plan" }, { "description": "FreeArea related operations.", "name": "FreeArea" }, { "description": "FreeLine related operations.", "name": "FreeLine" }, { "description": "FreeText related operations.", "name": "FreeText" }, { "description": "FreeText component related operations.", "name": "FreeTextComponent" }, { "description": "Building address related operations.", "name": "Address" }, { "description": "Building apartments related operations.", "name": "Apartment" }, { "description": "Extra attributes related operations.", "name": "Extra Attribute" }, { "description": "Extra attribute values related operations.", "name": "Extra Value" }, { "description": "External documents related operations.", "name": "External Document" }, { "description": "Attached Documents related operations.", "name": "Attached Document" }, { "description": "Collection related operations.", "name": "Collections" }, { "description": "External source system derived apartment related operations.", "name": "Source system apartment" }, { "description": "External source system derived address related operations.", "name": "Source system address" }, { "description": "Address aliases related operations", "name": "Address alias" }, { "description": "TxtConstants related operations.", "name": "TxtConstant" }, { "description": "Point objects related operations.", "name": "Point" }, { "description": "Survey Constants related operations.", "name": "Survey Constant" }, { "description": "Survey Points related operations.", "name": "Survey Point" }, { "description": "Survey Line Strings related operations.", "name": "Survey Line String" }, { "description": "Template Catalog related operations.", "name": "Template Catalog" }, { "description": "Route following related operations.", "name": "Route Following" }, { "description": "Contact person related operations.", "name": "Contact Person" }, { "description": "Contact person connection related operations.", "name": "Contact Person Connection" }, { "description": "Telecom premises related operations.", "name": "Telecom premises" }, { "description": "Device related operations.", "name": "Device" }, { "description": "Device Group related operations.", "name": "Device Group" }, { "description": "Telecom Splice related operations.", "name": "Splice" }, { "description": "Telecom Conduit related operations.", "name": "Telecom Conduit" }, { "description": "Operations related to putting Telecom Cables and Ducts into Conduits.", "name": "Telecom Conduit Link" }, { "description": "Telecom Duct related operations.", "name": "Telecom Duct" }, { "description": "Operations related to putting Telecom Cables into Ducts.", "name": "Telecom Duct Link" }, { "description": "Operations related to connecting Conduits and endpoints.", "name": "Telecom Conduit Connection" }, { "description": "Operations related to connecting Cables and endpoints", "name": "Telecom Cable Connection" }, { "description": "Operations related to connecting and disconnecting telecom cable threads and device ports", "name": "Telecom Thread/Port Connection" }, { "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole.", "name": "Telecom Duct Connection" }, { "description": "Telecom Manhole related operations.", "name": "Manhole" }, { "description": "Telecom Cable related operations.", "name": "Cable" }, { "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted.", "name": "Cable Appendix" }, { "description": "Telecom Supercable related operations.", "name": "Supercable" }, { "description": "Cross connection point related operations.", "name": "Cross connection point" }, { "description": "Service Area related operations.", "name": "Service Area" }, { "description": "Exchange Area related operations.", "name": "Exchange Area" }, { "description": "Telecom Area related operations.", "name": "Telecom Area" }, { "description": "Routefollower related operations.", "name": "Routefollower" }, { "description": "Circuit related operations.", "name": "Circuit" }, { "description": "Circuit installation location related operations.", "name": "Circuit Location" }, { "description": "Circuit section related operations.", "name": "Circuit Section" }, { "description": "Circuit reservation data view and search operations.", "name": "Circuit Reservation Data" }, { "description": "Customer data related operations.", "name": "Customer" }, { "description": "Passed Services related operations.", "name": "Passed Services" }, { "description": "Circuit logical reservations related operations.", "name": "Circuit Connection" }, { "description": "Circuit physical reservations related operations.", "name": "Circuit Physical Reservation" }, { "description": "Operation used to create new connections.", "name": "Create connections" }, { "description": "Terminal types related operations.", "name": "Terminal type" }, { "description": "Logical connections related operations.", "name": "Logical connections" }, { "description": "Operations provided by micro services.", "name": "Circuit Services" }, { "description": "Contract related operations.", "name": "Contract" }, { "description": "Contract link related operations.", "name": "Contract Link" }, { "description": "Pole related operations.", "name": "Pole" }, { "description": "Circuit faults related operations.", "name": "Circuit faults" }, { "description": "Duct groups related operations.", "name": "Duct groups" }, { "description": "Duct group rows related operations.", "name": "Duct group rows" }, { "description": "Cable thread related operations.", "name": "Threads" }, { "description": "Task related operations.", "name": "Task" }, { "description": "Subregion related operations.", "name": "Subregion" }, { "description": "SAttribute related operations.", "name": "SAttribute" }, { "description": "Fault related operations.", "name": "Fault" }, { "description": "Maintenance history related operations.", "name": "Maintenance history" }, { "description": "Deflection related operations.", "name": "Deflection" }, { "description": "Fault Component related operations.", "name": "Fault Component" }, { "description": "Task comment related operations.", "name": "Task Comment" }, { "description": "FaultComponentFault related operations.", "name": "FaultComponentFault" } ], "paths": { "/survey-lines/": { "get": { "description": "Operation is used to get a list of Survey Line Strings. Available from product version 2024.3.\n\nSurvey Line Strings can be filtered by giving filtering parameters at HTTP querystring (see parameters).\n\nThe surveyResult parameter can be used to filter survey lines by the associated survey result id.\n", "operationId": "getSurveyLineStringList", "parameters": [ { "$ref": "#/parameters/offsetParam" }, { "$ref": "#/parameters/limitParam" }, { "$ref": "#/parameters/filterParam" }, { "$ref": "#/parameters/orderParam" }, { "$ref": "#/parameters/srsParam" }, { "description": "Filter by survey result id. Returns survey line strings associated with the specified survey result.", "in": "query", "name": "surveyResult", "required": "false", "type": "integer" } ], "responses": { "200": { "description": "A result response object", "examples": { "application/json": { "Next": "http://testserver/api/v2/survey-line-strings/?limit=10&offset=10", "Previous": null, "Results": [ { "code": "2111", "convertCode": { "code": "2110", "codeType": "", "description": "Cable route begins", "geometryType": { "groupname": "SURVEY_GEOM_TYPE", "id": "521", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/SURVEY_GEOM_TYPE/", "numValue": "2", "orderno": "2", "txt": "Line", "txtValue": "" }, "id": "1", "idText": "KARTOITETTU", "listUrl": "http://keycore.example.fi/api/v2/convert-codes", "objectType": "1001", "operator": { "groupname": "SURVEY_DATA_OPERATOR", "id": "621", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/SURVEY_DATA_OPERATOR/", "numValue": "1", "orderno": "1", "txt": "Sonera", "txtValue": "" }, "specificType": "1001", "typeFieldId": "810" }, "id": "23781", "length": "1411.79", "location": "SRID=3067;LINESTRING Z (440108.2345358517 6718072.808745892 0, 442225.1571307772 6717897.495076658 0, 444347.0799328478 6717739.062695649 0)", "operator": { "groupname": "SURVEY_DATA_OPERATOR", "id": "621", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/SURVEY_DATA_OPERATOR/", "numValue": "1", "orderno": "1", "txt": "Sonera", "txtValue": "" }, "surveyFile": { "combinePoint": "true", "combinePointNumber": "true", "coordinateOrder": null, "createdBy": "test.user", "createdDate": "2016-09-01T12:17:34", "fileName": "testi_01092016.txt", "hashCode": "f4dc74cd67464caef81a467f8a49cce8b4680415", "heightAccuracy": null, "historyDate": null, "id": "5721", "identification": "testi_01092016.txt", "inputSrs": "EPSG:3067", "kindCode": null, "listUrl": "http://keycore.example.fi/api/v2/survey-files/", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "LOCATION_ACCURACY", "id": "7981", "list_url": "http://keycore.example.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "1.0m", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": "3.0", "txt": "1.0m" }, "mapper": "test.user", "mappingConfig": { "id": "1", "label": "T3 PIH", "listUrl": "http://keycore.example.fi/api/v2/mapping-configs", "separator": "" }, "mappingMethod": null, "name": "", "operator": { "groupname": "SURVEY_DATA_OPERATOR", "id": "621", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/SURVEY_DATA_OPERATOR/", "numValue": "1", "orderno": "1", "txt": "Sonera", "txtValue": "" }, "procedure": { "groupname": "PROCEDURE", "id": "101", "listUrl": "https://keycore.example.fi/api/v2/survey-constants/groupname/PROCEDURE/", "numValue": "2", "orderno": "2", "txt": "Create geometries", "txtValue": "" }, "processed": "false", "rawText": "9\t1\t2111\t1\t7241180.18549\t3483344.50444\t115.098\n9\t1\t2111", "srid": "294914", "surveyAmount": null, "updatedBy": "test.user", "updatedDate": "2016-09-01T12:17:34" }, "updatedBy": "test.user", "updatedTs": "2021-04-22T12:30:15", "zCoord": "123.552" }, { "code": "2111", "convertCode": null, "id": "23801", "length": "20350.71", "location": "SRID=3067;LINESTRING Z (478008.7406 7239477.5365 0, 478003.4746 7239486.4885 0, 477995.4586 7239499.9436 0)", "operator": null, "surveyFile": { "combinePoint": "true", "combinePointNumber": "true", "coordinateOrder": null, "createdBy": "test.user", "createdDate": "2016-09-01T12:17:34", "fileName": "testi_01092016.txt", "hashCode": "f4dc74cd67464caef81a467f8a49cce8b4680415", "heightAccuracy": null, "historyDate": null, "id": "5721", "identification": "testi_01092016.txt", "inputSrs": "EPSG:3067", "kindCode": null, "listUrl": "http://keycore.example.fi/api/v2/survey-files/", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "LOCATION_ACCURACY", "id": "7981", "list_url": "http://keycore.example.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "1.0m", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": "3.0", "txt": "1.0m" }, "mapper": "test.user", "mappingConfig": { "id": "1", "label": "T3 PIH", "listUrl": "http://keycore.example.fi/api/v2/mapping-configs", "separator": "" }, "mappingMethod": null, "name": "", "operator": { "groupname": "SURVEY_DATA_OPERATOR", "id": "621", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/SURVEY_DATA_OPERATOR/", "numValue": "1", "orderno": "1", "txt": "Sonera", "txtValue": "" }, "procedure": { "groupname": "PROCEDURE", "id": "101", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/PROCEDURE/", "numValue": "2", "orderno": "2", "txt": "Create geometries", "txtValue": "" }, "processed": "false", "rawText": "9\t1\t2111\t1\t7241180.18549\t3483344.50444\t115.098\n9\t1\t2111\t2\t7241179.31911\t3483354.96564\t114.849\n9\t1\t2111\t3\t7241178.1556\t3483370.5469\t114.031\n9\t1\t2111\t4\t7241178.70476\t3483392.56676\t113.465\n9\t1\t2111\t5\t7241177.85634\t3483416.43835\t112.843\n9\t1\t2111\t6\t7241177.14301\t3483433.84035\t112.512\n9\t1\t2111\t7\t7241176.2636\t3483450.17791\t111.779\n9\t1\t2111\t8\t7241174.20174\t3483461.63051\t112.178\n9\t1\t2111\t9\t7241173.83156\t3483472.18376\t110.835\n9\t1\t2111\t10\t7241172.86809\t3483501.31747\t109.474\n9\t1\t2111\t11\t7241172.40883\t3483526.7677\t108.875\n9\t1\t2111\t12\t7241170.46291\t3483573.20637\t108.525\n9\t1\t2111\t13\t7241169.53247\t3483597.19601\t108.494\n9", "srid": "294914", "surveyAmount": null, "updatedBy": "test.user", "updatedDate": "2016-09-01T12:17:34" }, "updatedBy": "test.user", "updatedTs": "2016-09-01T12:17:48", "zCoord": "105.838" }, { "code": "2111", "convertCode": null, "id": "23821", "length": "5619.92", "location": "SRID=3067;LINESTRING Z (480324.5819 7285492.5469 0, 480325.9509 7285500.9989 0, 480325.9209 7285502.5379 0)", "operator": null, "surveyFile": { "combinePoint": "true", "combinePointNumber": "true", "coordinateOrder": null, "createdBy": "test.user", "createdDate": "2016-09-01T12:17:34", "fileName": "testi_01092016.txt", "hashCode": "f4dc74cd67464caef81a467f8a49cce8b4680415", "heightAccuracy": null, "historyDate": null, "id": "5721", "identification": "testi_01092016.txt", "inputSrs": "EPSG:3067", "kindCode": null, "listUrl": "http://keycore.example.fi/api/v2/survey-files/", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "LOCATION_ACCURACY", "id": "7981", "list_url": "http://keycore.example.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "1.0m", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": "3.0", "txt": "1.0m" }, "mapper": "test.user", "mappingConfig": { "id": "1", "label": "T3 PIH", "listUrl": "http://keycore.example.fi/api/v2/mapping-configs", "separator": "" }, "mappingMethod": null, "name": "", "operator": { "groupname": "SURVEY_DATA_OPERATOR", "id": "621", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/SURVEY_DATA_OPERATOR/", "numValue": "1", "orderno": "1", "txt": "Sonera", "txtValue": "" }, "procedure": { "groupname": "PROCEDURE", "id": "101", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/PROCEDURE/", "numValue": "2", "orderno": "2", "txt": "Create geometries", "txtValue": "" }, "processed": "false", "rawText": "9\t1\t2111\t1\t7241180.18549\t3483344.50444\t115.098\n9\t1\t2111\t2\t7241179.31911\t3483354.96564\t114.849\n9\t1\t2111\t3\t7241178.1556\t3483370.5469\t114", "srid": "294914", "surveyAmount": null, "updatedBy": "test.user", "updatedDate": "2016-09-01T12:17:34" }, "updatedBy": "test.user", "updatedTs": "2016-09-01T12:17:49", "zCoord": "138.518" }, { "code": "2111", "convertCode": null, "id": "23841", "length": "10820.73", "location": "SRID=3067;LINESTRING Z (482030.7616 7275385.4065 0, 482032.2226 7275389.7205 0, 482032.8776 7275396.9615 0)", "operator": null, "surveyFile": { "combinePoint": "true", "combinePointNumber": "true", "coordinateOrder": null, "createdBy": "test.user", "createdDate": "2016-09-01T12:17:34", "fileName": "testi_01092016.txt", "hashCode": "f4dc74cd67464caef81a467f8a49cce8b4680415", "heightAccuracy": null, "historyDate": null, "id": "5721", "identification": "testi_01092016.txt", "inputSrs": "EPSG:3067", "kindCode": null, "listUrl": "http://keycore.example.fi/api/v2/survey-files/", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "LOCATION_ACCURACY", "id": "7981", "list_url": "http://keycore.example.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "1.0m", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": "3.0", "txt": "1.0m" }, "mapper": "test.user", "mappingConfig": { "id": "1", "label": "T3 PIH", "listUrl": "http://keycore.example.fi/api/v2/mapping-configs", "separator": "" }, "mappingMethod": null, "name": "", "operator": { "groupname": "SURVEY_DATA_OPERATOR", "id": "621", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/SURVEY_DATA_OPERATOR/", "numValue": "1", "orderno": "1", "txt": "Sonera", "txtValue": "" }, "procedure": { "groupname": "PROCEDURE", "id": "101", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/PROCEDURE/", "numValue": "2", "orderno": "2", "txt": "Create geometries", "txtValue": "" }, "processed": "false", "rawText": "9\t1\t2111\t1\t7241180.18549\t3483344.50444\t115.098\n9\t1\t2111\t2\t7241179.31911\t3483354.96564\t114.849\n9", "srid": "294914", "surveyAmount": null, "updatedBy": "test.user", "updatedDate": "2016-09-01T12:17:34" }, "updatedBy": "test.user", "updatedTs": "2016-09-01T12:17:51", "zCoord": "117.962" }, { "code": "2111", "convertCode": null, "id": "23861", "length": "5147.08", "location": "SRID=3067;LINESTRING Z (474718.9567 7237189.0361 0, 474723.9297 7237186.633 0, 474741.3357 7237176.491 0)", "operator": null, "surveyFile": { "combinePoint": "true", "combinePointNumber": "true", "coordinateOrder": null, "createdBy": "test.user", "createdDate": "2016-09-01T12:17:34", "fileName": "testi_01092016.txt", "hashCode": "f4dc74cd67464caef81a467f8a49cce8b4680415", "heightAccuracy": null, "historyDate": null, "id": "5721", "identification": "testi_01092016.txt", "inputSrs": "EPSG:3067", "kindCode": null, "listUrl": "http://keycore.example.fi/api/v2/survey-files/", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "LOCATION_ACCURACY", "id": "7981", "list_url": "http://keycore.example.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "1.0m", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": "3.0", "txt": "1.0m" }, "mapper": "test.user", "mappingConfig": { "id": "1", "label": "T3 PIH", "listUrl": "http://keycore.example.fi/api/v2/mapping-configs", "separator": "" }, "mappingMethod": null, "name": "", "operator": { "groupname": "SURVEY_DATA_OPERATOR", "id": "621", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/SURVEY_DATA_OPERATOR/", "numValue": "1", "orderno": "1", "txt": "Sonera", "txtValue": "" }, "procedure": { "groupname": "PROCEDURE", "id": "101", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/PROCEDURE/", "numValue": "2", "orderno": "2", "txt": "Create geometries", "txtValue": "" }, "processed": "false", "rawText": "9\t1\t2111\t1\t7241180.18549\t3483344.50444\t115.098\n9\t1\t2111", "srid": "294914", "surveyAmount": null, "updatedBy": "test.user", "updatedDate": "2016-09-01T12:17:34" }, "updatedBy": "test.user", "updatedTs": "2018-04-25T11:01:40", "zCoord": "115.584" }, { "code": "2111", "convertCode": null, "id": "23881", "length": "8669.7", "location": "SRID=3067;LINESTRING Z (463660.287 7266942.2046 0, 463666.63 7266943.0366 0, 463676.658 7266943.6456 0)", "operator": null, "surveyFile": { "combinePoint": "true", "combinePointNumber": "true", "coordinateOrder": null, "createdBy": "test.user", "createdDate": "2016-09-01T12:17:34", "fileName": "testi_01092016.txt", "hashCode": "f4dc74cd67464caef81a467f8a49cce8b4680415", "heightAccuracy": null, "historyDate": null, "id": "5721", "identification": "testi_01092016.txt", "inputSrs": "EPSG:3067", "kindCode": null, "listUrl": "http://keycore.example.fi/api/v2/survey-files/", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "LOCATION_ACCURACY", "id": "7981", "list_url": "http://keycore.example.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "1.0m", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": "3.0", "txt": "1.0m" }, "mapper": "test.user", "mappingConfig": { "id": "1", "label": "T3 PIH", "listUrl": "http://keycore.example.fi/api/v2/mapping-configs", "separator": "" }, "mappingMethod": null, "name": "", "operator": { "groupname": "SURVEY_DATA_OPERATOR", "id": "621", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/SURVEY_DATA_OPERATOR/", "numValue": "1", "orderno": "1", "txt": "Sonera", "txtValue": "" }, "procedure": { "groupname": "PROCEDURE", "id": "101", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/PROCEDURE/", "numValue": "2", "orderno": "2", "txt": "Create geometries", "txtValue": "" }, "processed": "false", "rawText": "9\t1\t2111\t1\t7241180.18549\t3483344.50444\t115.098\n9\t1\t2111\t2\t7241179.31911", "srid": "294914", "surveyAmount": null, "updatedBy": "test.user", "updatedDate": "2016-09-01T12:17:34" }, "updatedBy": "test.user", "updatedTs": "2016-09-01T12:18:33", "zCoord": "91.719" }, { "code": "2111", "convertCode": null, "id": "23901", "length": "357.09", "location": "SRID=3067;LINESTRING Z (469709.5092 7264759.3009 0, 469707.2661 7264749.5099 0, 469706.9891 7264747.1489 0)", "operator": null, "surveyFile": { "combinePoint": "true", "combinePointNumber": "true", "coordinateOrder": null, "createdBy": "test.user", "createdDate": "2016-09-01T12:17:34", "fileName": "testi_01092016.txt", "hashCode": "f4dc74cd67464caef81a467f8a49cce8b4680415", "heightAccuracy": null, "historyDate": null, "id": "5721", "identification": "testi_01092016.txt", "inputSrs": "EPSG:3067", "kindCode": null, "listUrl": "http://keycore.example.fi/api/v2/survey-files/", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": "true", "groupname": "LOCATION_ACCURACY", "id": "7981", "list_url": "http://keycore.example.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "1.0m", "num_value": "1.0", "num_value2": null, "num_value3": null, "num_value4": "3.0", "txt": "1.0m" }, "mapper": "test.user", "mappingConfig": { "id": "1", "label": "T3 PIH", "listUrl": "http://keycore.example.fi/api/v2/mapping-configs", "separator": "" }, "mappingMethod": null, "name": "", "operator": { "groupname": "SURVEY_DATA_OPERATOR", "id": "621", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/SURVEY_DATA_OPERATOR/", "numValue": "1", "orderno": "1", "txt": "Sonera", "txtValue": "" }, "procedure": { "groupname": "PROCEDURE", "id": "101", "listUrl": "http://keycore.example.fi/api/v2/survey-constants/groupname/PROCEDURE/", "numValue": "2", "orderno": "2", "txt": "Create geometries", "txtValue": "" }, "processed": "false", "rawText": "9\t1\t2111\t1\t7241180.18549\t3483344.50444\t115.877", "srid": "294914", "surveyAmount": null, "updatedBy": "test.user", "updatedDate": "2016-09-01T12:17:34" }, "updatedBy": "test.user", "updatedTs": "2016-09-01T12:19:05", "zCoord": "107.472" } ], "Total": "505" } }, "schema": { "properties": { "Next": { "description": "URL to next page of Survey Line Strings list. Null if No next page exist", "format": "url", "type": "string" }, "Previous": { "description": "URL to previous page of Survey Line Strings list. Null if No previous page exist", "format": "url", "type": "string" }, "Results": { "description": "List of Survey Line Strings", "items": { "$ref": "#/definitions/SurveyLineString" }, "type": "array" }, "Total": { "description": "Number of Survey Line Strings in the list", "type": "integer" } }, "type": "object" } }, "401": { "$ref": "#/responses/Http401" } }, "security": [ { "Token": [] } ], "summary": "Get list of Survey Line Strings", "tags": [ "Survey Line Strings" ] } } } } ````